{% set ns = namespace(update=false) %}
{% set command = ["pcs", "resource", "create", item.name, item.type] %}
{% if item.options is defined %}
{% for key, value in item.options.items() %}
{{ command.append(key+"="+(value|string)) }}
{% if cluster_resource_properties is defined %}
{% set option_dict = {key:(value|string)} %}
{% if option_dict not in cluster_resource_properties %}
{% set ns.update = true %}
{% endif %}
{% endif %}
{% endfor %}
{% endif %}
{{ command.append("op monitor interval="+(item.monitor_interval|string)) }}
{% if ns.update %}
{{ command | map('regex_replace', 'create', 'update') | list | join(' ') }}
{% else %}
{{ command | join(' ') }}
{% endif %}
